# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# C:\msys32\home\builder\conda\aggregateMRO\r-gistr-feedstock\recipe, last modified Wed Sep 26 04:52:06 2018
# ------------------------------------------------

package:
    name: r-gistr
    version: 0.4.2
source:
    sha256: 717f40d316eefb897ef50d7c5c531c34bc76054bb54d0e5707f800ab3b0ab2af
    url: https://cran.microsoft.com/snapshot/2018-08-01/bin/windows/contrib/3.5/gistr_0.4.2.zip
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: mro351_0
requirements:
    host:
        - _r-mutex 1.0.0 mro_2
        - mro-base 3.5.1 0
        - r-assertthat 0.2.0 mro351_0
        - r-backports 1.1.2 mro351_0
        - r-base64enc 0.1_3 mro351_0
        - r-bh 1.66.0_1 mro351hf348343_0
        - r-bindr 0.1.1 mro351_0
        - r-bindrcpp 0.2.2 mro351_0
        - r-cli 1.0.0 mro351_0
        - r-crayon 1.3.4 mro351_0
        - r-curl 3.2 mro351_0
        - r-digest 0.6.15 mro351_0
        - r-dplyr 0.7.6 mro351_0
        - r-evaluate 0.11 mro351_0
        - r-fansi 0.2.3 mro351_0
        - r-glue 1.3.0 mro351_0
        - r-highr 0.7 mro351_0
        - r-htmltools 0.3.6 mro351_0
        - r-httr 1.3.1 mro351_0
        - r-jsonlite 1.5 mro351_0
        - r-knitr 1.20 mro351_0
        - r-magrittr 1.5 mro351_0
        - r-markdown 0.8 mro351_0
        - r-mime 0.5 mro351_0
        - r-openssl 1.0.2 mro351_0
        - r-pillar 1.3.0 mro351_0
        - r-pkgconfig 2.0.1 mro351_0
        - r-plogr 0.2.0 mro351_0
        - r-purrr 0.2.5 mro351_0
        - r-r6 2.2.2 mro351hf348343_0
        - r-rcpp 0.12.18 mro351hf348343_0
        - r-rlang 0.2.1 mro351_0
        - r-rmarkdown 1.10 mro351_0
        - r-rprojroot 1.3_2 mro351_0
        - r-stringi 1.1.7 mro351_0
        - r-stringr 1.3.1 mro351_0
        - r-tibble 1.4.2 mro351_0
        - r-tidyselect 0.2.4 mro351_0
        - r-tinytex 0.6 mro351_0
        - r-utf8 1.1.4 mro351_0
        - r-xfun 0.3 mro351_0
        - r-yaml 2.2.0 mro351_0
    run:
        - mro-base >=3.5.1,<3.5.2.0a0
        - r-assertthat
        - r-dplyr
        - r-httr >=1.2.0
        - r-jsonlite >=1.4
        - r-knitr
        - r-magrittr
        - r-rmarkdown
test:
    commands:
        - '"%R%" -e "library(''gistr'')"'
about:
    home: https://github.com/ropensci/gistr
    license: MIT + file LICENSE
    license_family: MIT
    summary: 'Work with ''GitHub'' ''gists'' from ''R'' (e.g.,  <http://en.wikipedia.org/wiki/GitHub#Gist>,  <https://help.github.com/articles/about-gists/>).
        A ''gist'' is simply one or more files with code/text/images/etc. This package
        allows the user to create new ''gists'', update ''gists'' with new files,
        rename files, delete files, get and delete ''gists'', star and ''un-star''
        ''gists'', fork ''gists'', open a ''gist'' in your default browser, get embed
        code for a ''gist'', list ''gist'' ''commits'', and get rate limit information
        when ''authenticated''. Some requests require authentication and some do not.
        ''Gists'' website:  <https://gist.github.com/>.'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - mingwandroid
